
#ifndef HEADERS_HPP_INCLUDED
#define HEADERS_HPP_INCLUDED

#define _ISOC99_SOURCE  1

#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <cmath>
#include <climits>
#include <stdint.h>
#include <string>
#include <vector>
#include <exception>
#include <stdexcept>
#include <sndfile.h>

static const double         pi = double(std::atan(1.0L) * 4.0L);
static const double         twoPi = double(std::atan(1.0L) * 8.0L);
static const long double    piL = std::atan(1.0L) * 4.0L;
static const long double    twoPiL = std::atan(1.0L) * 8.0L;

#ifdef USE_SIMD
#  ifndef __GNUC__
#    undef USE_SIMD
#  else
typedef float   Vector4Float    __attribute__ ((__vector_size__ (16)));
typedef double  Vector2Double   __attribute__ ((__vector_size__ (16)));
#  endif
#endif

#endif  // HEADERS_HPP_INCLUDED

